package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 手环信息 实时数据对象 t_shouhuan_info
 * 
 * @author ruoyi
 * @date 2023-09-07
 */
public class TShouhuanInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Integer id;

    /** 设备id */
    @Excel(name = "设备id")
    private Integer facilityId;

    /** 设置id编码 */
    @Excel(name = "设置id编码")
    private String deviceIdCode;

    /** 版本 */
    @Excel(name = "版本")
    private String version;

    /** 经度 */
    @Excel(name = "经度")
    private BigDecimal gpsLong;

    /** 纬度 */
    @Excel(name = "纬度")
    private BigDecimal gpsLat;

    /** 使用经度 */
    @Excel(name = "使用经度")
    private BigDecimal useGpsLong;

    /** 使用纬度 */
    @Excel(name = "使用纬度")
    private BigDecimal useGpsLat;

    /** 使用mac */
    @Excel(name = "使用mac")
    private String useMac;

    /** 速度 公里/小时 */
    @Excel(name = "速度 公里/小时")
    private BigDecimal speed;

    /** 方向 度 */
    @Excel(name = "方向 度")
    private Integer direction;

    /** 海拔 */
    @Excel(name = "海拔")
    private Integer poster;

    /** 电量 */
    @Excel(name = "电量")
    private Integer electricQuantity;

    /** 计步数 */
    @Excel(name = "计步数")
    private Integer stepNumber;

    /** 翻滚数 */
    @Excel(name = "翻滚数")
    private Integer rollNumber;

    /** 终端状态 */
    @Excel(name = "终端状态")
    private String terminalStatus;

    /** 在线状态 1在线 0离线 */
    @Excel(name = "在线状态 1在线 0离线")
    private Integer onlineStatis;

    /** 体温 */
    @Excel(name = "体温")
    private Integer temp;

    /** 血压 高压 0无效 */
    @Excel(name = "血压 高压 0无效")
    private Integer bloodHeightPressure;

    /** 血压 低压 0无效 */
    @Excel(name = "血压 低压 0无效")
    private Integer bloodLowPressure;

    /** 心率 0无效 */
    @Excel(name = "心率 0无效")
    private Integer heartRate;

    /** 血养饱和度 */
    @Excel(name = "血养饱和度")
    private Integer oxygen;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "时间")
    private Date createtime;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "时间")
    private Date updatetime;

    /** 离线时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "离线时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date offlinetime;

    /** 上线时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上线时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date onlinetime;

    /** gps更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "gps更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date gpsUpdateTime;

    /** 血压更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "血压更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date bloodUpdateTime;

    /** 心率更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "心率更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date heartUpdateTime;

    /** 体温更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "体温更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date tempUpdateTime;

    /** 血氧更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "血氧更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date oxygenUpdateTime;

    /** 电量更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "电量更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date electricQuantityUpdateTime;

    /** 步数更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "步数更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date stepNumberUpdateTime;

    /** 翻滚数更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "翻滚数更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date rollNumberUpdateTime;

    /** 终端状态更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "终端状态更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date terminalStatusUpdateTime;

    /** 0非接口获取坐标 1移动接入 2wifi接入 -2 查询失败 */
    @Excel(name = "0非接口获取坐标 1移动接入 2wifi接入 -2 查询失败")
    private Integer accesstype;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String addressDesc;

    /** 手环是否定位 1 是 0 否 */
    @Excel(name = "手环是否定位 1 是 0 否")
    private Integer isGps;

    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId()
    {
        return id;
    }
    public void setFacilityId(Integer facilityId)
    {
        this.facilityId = facilityId;
    }

    public Integer getFacilityId()
    {
        return facilityId;
    }
    public void setDeviceIdCode(String deviceIdCode) 
    {
        this.deviceIdCode = deviceIdCode;
    }

    public String getDeviceIdCode() 
    {
        return deviceIdCode;
    }
    public void setVersion(String version) 
    {
        this.version = version;
    }

    public String getVersion() 
    {
        return version;
    }
    public void setGpsLong(BigDecimal gpsLong) 
    {
        this.gpsLong = gpsLong;
    }

    public BigDecimal getGpsLong() 
    {
        return gpsLong;
    }
    public void setGpsLat(BigDecimal gpsLat) 
    {
        this.gpsLat = gpsLat;
    }

    public BigDecimal getGpsLat() 
    {
        return gpsLat;
    }
    public void setUseGpsLong(BigDecimal useGpsLong) 
    {
        this.useGpsLong = useGpsLong;
    }

    public BigDecimal getUseGpsLong() 
    {
        return useGpsLong;
    }
    public void setUseGpsLat(BigDecimal useGpsLat) 
    {
        this.useGpsLat = useGpsLat;
    }

    public BigDecimal getUseGpsLat() 
    {
        return useGpsLat;
    }
    public void setUseMac(String useMac) 
    {
        this.useMac = useMac;
    }

    public String getUseMac() 
    {
        return useMac;
    }
    public void setSpeed(BigDecimal speed) 
    {
        this.speed = speed;
    }

    public BigDecimal getSpeed() 
    {
        return speed;
    }
    public void setDirection(Integer direction) 
    {
        this.direction = direction;
    }

    public Integer getDirection() 
    {
        return direction;
    }
    public void setPoster(Integer poster) 
    {
        this.poster = poster;
    }

    public Integer getPoster() 
    {
        return poster;
    }
    public void setElectricQuantity(Integer electricQuantity) 
    {
        this.electricQuantity = electricQuantity;
    }

    public Integer getElectricQuantity() 
    {
        return electricQuantity;
    }
    public void setStepNumber(Integer stepNumber) 
    {
        this.stepNumber = stepNumber;
    }

    public Integer getStepNumber() 
    {
        return stepNumber;
    }
    public void setRollNumber(Integer rollNumber) 
    {
        this.rollNumber = rollNumber;
    }

    public Integer getRollNumber() 
    {
        return rollNumber;
    }
    public void setTerminalStatus(String terminalStatus) 
    {
        this.terminalStatus = terminalStatus;
    }

    public String getTerminalStatus() 
    {
        return terminalStatus;
    }
    public void setOnlineStatis(Integer onlineStatis) 
    {
        this.onlineStatis = onlineStatis;
    }

    public Integer getOnlineStatis() 
    {
        return onlineStatis;
    }

    public Integer getTemp() {
        return temp;
    }

    public void setTemp(Integer temp) {
        this.temp = temp;
    }

    public void setBloodHeightPressure(Integer bloodHeightPressure)
    {
        this.bloodHeightPressure = bloodHeightPressure;
    }

    public Integer getBloodHeightPressure() 
    {
        return bloodHeightPressure;
    }
    public void setBloodLowPressure(Integer bloodLowPressure) 
    {
        this.bloodLowPressure = bloodLowPressure;
    }

    public Integer getBloodLowPressure() 
    {
        return bloodLowPressure;
    }
    public void setHeartRate(Integer heartRate) 
    {
        this.heartRate = heartRate;
    }

    public Integer getHeartRate() 
    {
        return heartRate;
    }
    public void setOxygen(Integer oxygen) 
    {
        this.oxygen = oxygen;
    }

    public Integer getOxygen() 
    {
        return oxygen;
    }
    public void setOfflinetime(Date offlinetime) 
    {
        this.offlinetime = offlinetime;
    }

    public Date getOfflinetime() 
    {
        return offlinetime;
    }
    public void setOnlinetime(Date onlinetime) 
    {
        this.onlinetime = onlinetime;
    }

    public Date getOnlinetime() 
    {
        return onlinetime;
    }
    public void setGpsUpdateTime(Date gpsUpdateTime) 
    {
        this.gpsUpdateTime = gpsUpdateTime;
    }

    public Date getGpsUpdateTime() 
    {
        return gpsUpdateTime;
    }
    public void setBloodUpdateTime(Date bloodUpdateTime) 
    {
        this.bloodUpdateTime = bloodUpdateTime;
    }

    public Date getBloodUpdateTime() 
    {
        return bloodUpdateTime;
    }
    public void setHeartUpdateTime(Date heartUpdateTime) 
    {
        this.heartUpdateTime = heartUpdateTime;
    }

    public Date getHeartUpdateTime() 
    {
        return heartUpdateTime;
    }
    public void setTempUpdateTime(Date tempUpdateTime) 
    {
        this.tempUpdateTime = tempUpdateTime;
    }

    public Date getTempUpdateTime() 
    {
        return tempUpdateTime;
    }
    public void setOxygenUpdateTime(Date oxygenUpdateTime) 
    {
        this.oxygenUpdateTime = oxygenUpdateTime;
    }

    public Date getOxygenUpdateTime() 
    {
        return oxygenUpdateTime;
    }
    public void setElectricQuantityUpdateTime(Date electricQuantityUpdateTime) 
    {
        this.electricQuantityUpdateTime = electricQuantityUpdateTime;
    }

    public Date getElectricQuantityUpdateTime() 
    {
        return electricQuantityUpdateTime;
    }
    public void setStepNumberUpdateTime(Date stepNumberUpdateTime) 
    {
        this.stepNumberUpdateTime = stepNumberUpdateTime;
    }

    public Date getStepNumberUpdateTime() 
    {
        return stepNumberUpdateTime;
    }
    public void setRollNumberUpdateTime(Date rollNumberUpdateTime) 
    {
        this.rollNumberUpdateTime = rollNumberUpdateTime;
    }

    public Date getRollNumberUpdateTime() 
    {
        return rollNumberUpdateTime;
    }
    public void setTerminalStatusUpdateTime(Date terminalStatusUpdateTime) 
    {
        this.terminalStatusUpdateTime = terminalStatusUpdateTime;
    }

    public Date getTerminalStatusUpdateTime() 
    {
        return terminalStatusUpdateTime;
    }
    public void setAccesstype(Integer accesstype) 
    {
        this.accesstype = accesstype;
    }

    public Integer getAccesstype() 
    {
        return accesstype;
    }
    public void setAddressDesc(String addressDesc) 
    {
        this.addressDesc = addressDesc;
    }

    public String getAddressDesc() 
    {
        return addressDesc;
    }
    public void setIsGps(Integer isGps) 
    {
        this.isGps = isGps;
    }

    public Integer getIsGps() 
    {
        return isGps;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("facilityId", getFacilityId())
            .append("deviceIdCode", getDeviceIdCode())
            .append("version", getVersion())
            .append("gpsLong", getGpsLong())
            .append("gpsLat", getGpsLat())
            .append("useGpsLong", getUseGpsLong())
            .append("useGpsLat", getUseGpsLat())
            .append("useMac", getUseMac())
            .append("speed", getSpeed())
            .append("direction", getDirection())
            .append("poster", getPoster())
            .append("electricQuantity", getElectricQuantity())
            .append("stepNumber", getStepNumber())
            .append("rollNumber", getRollNumber())
            .append("terminalStatus", getTerminalStatus())
            .append("onlineStatis", getOnlineStatis())
            .append("temp", getTemp())
            .append("bloodHeightPressure", getBloodHeightPressure())
            .append("bloodLowPressure", getBloodLowPressure())
            .append("heartRate", getHeartRate())
            .append("oxygen", getOxygen())
            .append("offlinetime", getOfflinetime())
            .append("onlinetime", getOnlinetime())
            .append("gpsUpdateTime", getGpsUpdateTime())
            .append("bloodUpdateTime", getBloodUpdateTime())
            .append("heartUpdateTime", getHeartUpdateTime())
            .append("tempUpdateTime", getTempUpdateTime())
            .append("oxygenUpdateTime", getOxygenUpdateTime())
            .append("electricQuantityUpdateTime", getElectricQuantityUpdateTime())
            .append("stepNumberUpdateTime", getStepNumberUpdateTime())
            .append("rollNumberUpdateTime", getRollNumberUpdateTime())
            .append("terminalStatusUpdateTime", getTerminalStatusUpdateTime())
            .append("createtime", getCreatetime())
            .append("updatetime", getUpdatetime())
            .append("accesstype", getAccesstype())
            .append("addressDesc", getAddressDesc())
            .append("isGps", getIsGps())
            .toString();
    }
}
